apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jim Jagielski <...@jaguNET.com>
Subject httpd trunk, apr/apu 1.4 branches and Linux
Date Fri, 23 Apr 2010 12:58:24 GMT
(sorry for the cross-post but httpd-trunk and APR are now so
entwined that its required)...

OK... I've been playing around with building httpd-trunk
on Linux and I've been having troubles left and right (using
the 1.4 branches of both apr and apr-util installed right
in ./srclib)...

First of all, Ubuntu 8.10 can't even get past a top level
./buildconf (likely due to libtool issues (2.2.4)... But
Ubuntu 9.10 dies when getting to build apr-util due to
expat issues (can't find the system installed version and
the bundled version's config/make is toast)...

checking Expat 1.95.x... no
checking old Debian-packaged expat... no
checking old FreeBSD-packaged expat... no
checking Expat 1.0/1.1... no
  setting LDFLAGS to "-L/usr/local/lib"
  adding "-I/usr/local/include" to CPPFLAGS
checking Expat 1.95.x in /usr/local... no
  nulling LDFLAGS
  removed "-I/usr/local/include" from CPPFLAGS
configuring package in xml/expat now
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
/home/jim/src/asf/code/dev/httpd-trunk/srclib/apr-util/xml/expat/configure: line 3321: syntax
error near unexpected token `lt_decl_varnames,'
/home/jim/src/asf/code/dev/httpd-trunk/srclib/apr-util/xml/expat/configure: line 3321: `lt_if_append_uniq(lt_decl_varnames,
SED, , ,'
configure failed for xml/expat

For those who are working on httpd trunk and Linux, what
are you using?
Mime
View raw message